<!DOCTYPE html>
<html lang="nl">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    
    <title>Cocktail Configurator</title>
    
    <link href="https://cdnjs.cloudflare.com/ajax/libs/flowbite/1.6.3/flowbite.min.css" rel="stylesheet" />
    
    <script src="https://cdn.tailwindcss.com"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/flowbite/1.6.3/flowbite.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/gsap/3.11.5/gsap.min.js"></script>
    <script type="text/javascript" src="js/nieuws.js" defer></script>
    <script src="js/shopingCart.js" type="module"></script>
</head>


<body class="bg-white text-gray-600 work-sans leading-normal text-base tracking-normal">
    <header class="header bg-gray-900 text-white">
        <div class="container mx-auto px-4 py-6 flex items-center justify-between">
            <a href="index.html" class="font-bold text-lg text">DIYtails</a>
            <nav>
                <ul class="flex space-x-7">
                    <li><a href="index.html" class="hover:text-gray-400">HOME</a></li>
                    <li><a href="cocktail.html" class="hover:text-gray-400">AANBOD</a></li>
                    <li><a href="nieuws.html" class="hover:text-gray-400">NIEUWS</a></li>
                    <li class="font-sans block mt-4 lg:inline-block lg:mt-0 lg:ml-6 align-middle text-white hover:text-gray-400">
                        <a href="cart.html" role="button" class="relative flex">
                          <svg class="flex-1 w-8 h-8 fill-current" viewbox="0 0 24 24">
                            <path d="M17,18C15.89,18 15,18.89 15,20A2,2 0 0,0 17,22A2,2 0 0,0 19,20C19,18.89 18.1,18 17,18M1,2V4H3L6.6,11.59L5.24,14.04C5.09,14.32 5,14.65 5,15A2,2 0 0,0 7,17H19V15H7.42A0.25,0.25 0 0,1 7.17,14.75C7.17,14.7 7.18,14.66 7.2,14.63L8.1,13H15.55C16.3,13 16.96,12.58 17.3,11.97L20.88,5.5C20.95,5.34 21,5.17 21,5A1,1 0 0,0 20,4H5.21L4.27,2M7,18C5.89,18 5,18.89 5,20A2,2 0 0,0 7,22A2,2 0 0,0 9,20C9,18.89 8.1,18 7,18Z"/>
                          </svg>
                          <input id="quantity" class="absolute right-0 top-0 rounded-full bg-red-600 w-5 h-4 top right p-0 m-0 text-white font-mono text-sm  leading-tight text-center" value="0"></input>
                        </a>
                    </li>
                </ul>
            </nav>
        </div>
    </header>

    <div class="tc max-w-7xl center pt3 pb5 mx-16 my-6">
        <h2 class="tl pb3 italic text-2xl my-5 ml-2 underline">NIEUWS</h2> 
        <div class="max-w-7xl p-6 bg-white border border-gray-200 rounded-lg shadow dark:bg-gray-800 dark:border-gray-700">
            <table class="tc max-w-7xl center pt3" id="items">
                <thead></thead>
                <tbody class="h5 tl"></tbody>
            </table>
        </div>
    </div>

    <script>
        let xmlContent = '';
        let tableItems = document.getElementById('items');
        fetch('rss.xml').then((response)=> {
            response.text().then((xml)=>{
                xmlContent = xml;

                let parser = new DOMParser();
                let xmlDOM = parser.parseFromString(xmlContent, 'application/xml');
                let items = xmlDOM.querySelectorAll('item');

                items.forEach(bookXmlNode => {

                    let row = document.createElement('tr');

                    let td = document.createElement('td');
                    td.innerText = bookXmlNode.children[0].innerHTML;
                    row.appendChild(td);
                    
                    td = document.createElement('td');
                    td.innerText = bookXmlNode.children[2].innerHTML;
                    row.appendChild(td);

                    tableItems.children[1].appendChild(row);
                });
            });
        });    
    </script>
    

    <footer class="bg-gray-900 text-white">
        <div class="container mx-auto px-4 py-6 flex items-center justify-between">
            <p>&copy; 2023 DIYtails</p>
            <nav>
                <ul class="flex space-x-4">
                    <li><a href="https://www.facebook.com/groups/247663557148126" class="hover:text-gray-400"><img src="img/logo/logo-facebook.png" alt="Logo Facebook"></a></li>
                    <li><a href="https://www.instagram.com/cocktails/" class="hover:text-gray-400"><img src="img/logo/logo-instagram.png" alt="Logo Instagram"></a></li>
                </ul>
            </nav>
        </div>
    </footer>
</body>

</html>